# Class TE

java.lang.Object
org.apache.tomcat.util.http.parser.TE

public class TE extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TE(String encoding, Map<String,String> parameters, double quality)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoding()`
`Map<String,String>`
`getParameters()`
`double`
`getQuality()`
`static List<TE>`
`parse(StringReader input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TE

protected TE(String encoding, Map<String,String> parameters, double quality)

## Method Details

### getEncoding

public String getEncoding()

### getParameters

public Map<String,String> getParameters()

### getQuality

public double getQuality()

### parse

public static List<TE> parse(StringReader input) throws IOException

Throws:
  `IOException`